Subject: [netlmm] Link Forwarding Model for NETLMM?

From: "James Kempf" <[email-masked]>
Date: Tue, 22 Aug 2006 09:59:58 -0700

So the response to Phil's email on the addressing model concensus seemed to 
be that most people were in favor of the prefix per mobile node model, but 
there were a lot of questions about how it could be implemented. There was 
only one email posted that was opposed. When we look at rechartering next 
spring, perhaps we can revisit the shared link model, but for the first 
round, it sounds like most WG members are in favor of the prefix per mobile 
node model.

I'd like to continue the discussion now and examine the questions that came 
up, about how to implement the prefix per node model. It seems to me that 
this question boils down to what is the forwarding model on the link? If 
each mobile node has a separate prefix, then from a global routing 
viewpoint, the mobile nodes are on separate subnets, even if they are on a 
shared physical link like Ethernet, so the mobile node will never see 
another node with the same subnet prefix except for the access router. 
However, what about link local addresses? How should link local forwarding 
work? Are link local addresses really local to the physical link, or are 
they subnet local?

It seems to me that there are two possibilities;

1) The link between the LMA and the MN is a point to point link. This model 
is the "subnet forwarding" model, in which the MN sees only one other node 
on the link besides itself, both at the link local level and global level, 
and that is the LMA. The link may use PPP or it may not. This is the model 
that 3GPP uses for the GGSN to terminal link.

2) The link between the MAGs and the MN are shared links for link local 
forwarding, but point to point links for global forwarding. An MN sees other 
nodes with link local addresses on the link, but no other global addresses 
other than itself and the MAG. When the MN moves to a different MAG, the 
link local addresses on the previous MAG become invisible.

Have I missed anything?

Please post any thoughts you might have on this topic, and Phil and I will 
try to summarize in a few weeks. If we have time at the offsite, we might be 
able to schedule a discussion of this topic too.

                          jak

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: Alexandru Petrescu <[email-masked]>
Date: Tue, 22 Aug 2006 21:29:56 +0200

James, here's my try at it...

James Kempf wrote:
> So the response to Phil's email on the addressing model concensus 
> seemed to be that most people were in favor of the prefix per mobile 
> node model, but there were a lot of questions about how it could be 
> implemented. There was only one email posted that was opposed. When 
> we look at rechartering next spring, perhaps we can revisit the 
> shared link model, but for the first round, it sounds like most WG 
> members are in favor of the prefix per mobile node model.
> 
> I'd like to continue the discussion now and examine the questions 
> that came up, about how to implement the prefix per node model. It 
> seems to me that this question boils down to what is the forwarding 
> model on the link? If each mobile node has a separate prefix, then 
> from a global routing viewpoint, the mobile nodes are on separate 
> subnets, even if they are on a shared physical link like Ethernet, so
>  the mobile node will never see another node with the same subnet 
> prefix except for the access router. However, what about link local 
> addresses? How should link local forwarding work? Are link local 
> addresses really local to the physical link, or are they subnet 
> local?
> 
> 1) The link between the LMA and the MN is a point to point link. This
>  model is the "subnet forwarding" model, in which the MN sees only 
> one other node on the link besides itself, both at the link local 
> level and global level, and that is the LMA. The link may use PPP or 
> it may not.

If not ppp then what?  There's nothing else for point-to-point terminal
mobile nodes AFAIK.

> This is the model that 3GPP uses for the GGSN to terminal link.
> 
> 2) The link between the MAGs and the MN are shared links for link 
> local forwarding, but point to point links for global forwarding.

PPP over Ethernet rfc2516 informational?
Layer Two Tunelling Protocol v3 rfc3931 stds track?

Or maybe neither?

Just some thoughts.

Alex

---

From: "Syam Madanapalli" <[email-masked]>
Date: Wed, 23 Aug 2006 23:05:19 +0530

Hi James,

> work? Are link local addresses really local to the physical link, or are

Link Local Addresses (LLAs) belong to the IP link for which all the nodes
maintains an Interface. That is if a host and router has a p2p link, my be
using PPP, or some other means, such that the host and router has
physical interfaces and corresponding LLAs.

Change in AP/BS should not cause change in link otherwise, a host needs
reconfiguration every time the host changes an AP/BS under a MAG.

So the key I think is how the MAG shows the multiple MNs that are
currently attached to the MAG. If the MAG shows each MN belonging
to different interface then p2p model works without any ambiguity.
Otherwise (MAG has only a single interface) it is shared link and it
would be difficult to visualize p2p links to assign unique prefixes.

> that 3GPP uses for the GGSN to terminal link.

This works and should be the way to go forward if there is a need to have
unique prefixes for each MN.

> link local addresses on the previous MAG become invisible.

What is the need for such behavior?  This may be a problem. Addresses
belong to interface; And here, it looks like you are trying to divide the link
into two virtual links one for global addresses (p2p) and another one for link
local addresses (shared link).

- Syam

---

From: Julien Laganier <[email-masked]>
Date: Wed, 30 Aug 2006 18:31:27 +0200

Hi James,

Some thoughts inlined below,

On Tuesday 22 August 2006 18:59, James Kempf wrote:
> seemed to be that most people were in favor of the prefix per
> mobile node model, but there were a lot of questions about how it
> could be implemented. There was only one email posted that was
> opposed. When we look at rechartering next spring, perhaps we can
> revisit the shared link model, but for the first round, it sounds
> like most WG members are in favor of the prefix per mobile node
> model.

Minor terminology point: I think that what was agreed on is that we 
now concentrate on the per MN prefix, while the shared *prefix* model 
might be considered later. 

> subnets, even if they are on a shared physical link like Ethernet,
> so the mobile node will never see another node with the same subnet
> prefix except for the access router. 

If the access router hasn't a global address within that prefix then 
the mobile node will never see any other node within the same global 
subnet prefix (i.e. not fe80::/10.)
 
> However, what about link local addresses? How should link local
> forwarding work? Are link local addresses really local to the
> physical link, or are they subnet local?

I'd rather be literal in my interpretation of link local; it should 
mean "local to the link" (although, stretching a bit, one can say 
they are local to the "link-local subnet" -- fe80::/10.) 

If we do so the way forwarding works would be independent of the link 
type:

- link locals are local to one link and are therefore never forwarded. 
- because only the MN has a global address within its prefix, all 
packets sent to global subnets other than his go to the access 
router.

Then we do not need to differentiate forwarding against the link type 
as you do below.

> 1) The link between the LMA and the MN is a point to point link.
> This model is the "subnet forwarding" model, in which the MN sees
> only one other node on the link besides itself, both at the link
> local level and global level, and that is the LMA. The link may use
> PPP or it may not. This is the model that 3GPP uses for the GGSN to
> terminal link
 
I don't understand what does "subnet forwarding" model mean. Do you 
mean that the link local scope is equal to the subnet scope?

There is also the situation where the link between the MAG and the MN 
is a point to point link. 

> An MN sees other nodes with link local addresses on the link, but
> no other global addresses other than itself and the MAG. When the
> MN moves to a different MAG, the link local addresses on the
> previous MAG become invisible.

I think I agree with the intent, but would reword the two first 
sentences to refer to scopes rather than link: "The link local scope 
between the MAGs and the MN includes other nodes on the same link, 
while the global subnet scope only inclides the node itself (and its 
router if it has a global address in the subnet)"

What do you think?

--julien

---

From: "Templin, Fred L" <[email-masked]>
Date: Wed, 30 Aug 2006 11:04:30 -0700

> router if it has a global address in the subnet)"

MNs on shared links do not assign prefixes to the shared link;
they assign them to their loopback interface or other downstream
interface (see: RFC3633).

Fred
[email-masked]

---

From: Julien Laganier <[email-masked]>
Date: Thu, 31 Aug 2006 10:33:43 +0200

Fred, 

On Wednesday 30 August 2006 20:04, Templin, Fred L wrote:
> >> 2) The link between the MAGs and the MN are shared links for
> >> link local forwarding, but point to point links for global
> >> forwarding. An MN sees other nodes with link local addresses on
> >> the link, but no other global addresses other than itself and
> >> the MAG. When the MN moves to a different MAG, the link local
> >> addresses on the previous MAG become invisible.
> >
> > sentences to refer to scopes rather than link: "The link local
> > scope between the MAGs and the MN includes other nodes on the
> > same link, while the global subnet scope only inclides the node
> > itself (and its router if it has a global address in the subnet)"
>

You're talking about prefix delegation whereas I wasn't. 

What is strictly necessary to realize the per-MN subnet prefix is to 
*announce* a different prefix to each MN. *Delegating* prefixes to 
MNs isn't required per se, it's an additional functionality.

Prefix delegation might be desirable, but I'd however prefer that we 
solve the basic issue (i.e. announce per-MN prefix) before we address 
other.

--julien